IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[_asb_opcionesAtributoOTCall]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[_asb_opcionesAtributoOTCall]
go

CREATE PROCEDURE [dbo].[_asb_opcionesAtributoOTCall] 
@p_idEquipo int,
@p_codOpcionAtributo varchar(100)

AS
BEGIN

	declare @idOpcionAtributoPadre int
	declare @idAtributo int

	select @idOpcionAtributoPadre = id, @idAtributo = id_atributo from equ_opcionAtributo where opcionAtributo_codigo = @p_codOpcionAtributo
	Select
			ATR.id_atributo as idAtributo
			,ATR.id_subtipoDocumento idSubtipoDoc
			,dbo.[f_opcionesAtributoDependientes](ATR.id_atributo, 2, @idOpcionAtributoPadre) as opcionesCod 
			,dbo.[f_opcionesAtributoDependientes](ATR.id_atributo, 0, @idOpcionAtributoPadre) as opcionesTexto
			,ATR.doc_subtipoDocumento_subtipoDocumento_codigo as subtipoDoc_codigo
			,ATR.cat_atributo_atributo atributo,cat_atributo_atributo_codigo as atributoCod
			,ATR.cat_atributo_id_tipoAtributo as idTipoAtributo
			,ATR.cat_atributo_esObligatorio as esObligatorio
			,ATR.orden as orden
		from
			view_doc_subtipoDocumento_atributo ATR
		where
			ATR.id_subtipoDocumento=2
		and ATR.cat_atributo_id_seccionAtributo=183
		and ATR.cat_atributo_id_tipoAtributo=9
		AND ATR.id_atributo in (select equ_opcionAtributo_id_atributo_hijo from view_equ_opcionAtributoDependiente where equ_opcionAtributo_id_atributo_padre = @idAtributo )
END
